KDE 4.9 PyKDE API Reference

- KDE's Python API

# KGuiItem Class Reference

`from PyKDE4.kdeui import *`

## Detailed Description

An abstract class for GUI data such as ToolTip and Icon.

Author:
  Holger Freyther <freyher@yahoo.com>

See also:
  KStandardGuiItem

## Methods

| __init__ (self)
| __init__ (self, QString text, QString iconName=QString(), QString toolTip=QString(), QString whatsThis=QString())
| __init__ (self, QString text, KIcon icon, QString toolTip=QString(), QString whatsThis=QString())
| __init__ (self, KGuiItem rhs)
bool | hasIcon (self)
bool | hasIconSet (self)
KIcon | icon (self)
QString | iconName (self)
bool | isEnabled (self)
QString | plainText (self)
| setEnabled (self, bool enable)
| setIcon (self, KIcon iconset)
| setIconName (self, QString iconName)
| setText (self, QString text)
| setToolTip (self, QString tooltip)
| setWhatsThis (self, QString whatsThis)
QString | text (self)
QString | toolTip (self)
QString | whatsThis (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | QString | text,
|  | QString | iconName=QString(),
|  | QString | toolTip=QString(),
|  | QString | whatsThis=QString()
| ) |  |  |

__init__ | ( | self, |
|  | QString | text,
|  | KIcon | icon,
|  | QString | toolTip=QString(),
|  | QString | whatsThis=QString()
| ) |  |  |

__init__ | ( | self, |
|  | KGuiItem | rhs
| ) |  |  |

bool hasIcon | ( |  | self ) |

bool hasIconSet | ( |  | self ) |

KIcon icon | ( |  | self ) |

QString iconName | ( |  | self ) |

bool isEnabled | ( |  | self ) |

QString plainText | ( |  | self ) |

setEnabled | ( | self, |
|  | bool | enable
| ) |  |  |

setIcon | ( | self, |
|  | KIcon | iconset
| ) |  |  |

setIconName | ( | self, |
|  | QString | iconName
| ) |  |  |

setText | ( | self, |
|  | QString | text
| ) |  |  |

setToolTip | ( | self, |
|  | QString | tooltip
| ) |  |  |

setWhatsThis | ( | self, |
|  | QString | whatsThis
| ) |  |  |

QString text | ( |  | self ) |

QString toolTip | ( |  | self ) |

QString whatsThis | ( |  | self ) |